Multi-cluster Edge System Architecture and Network Function Requirements
Dae Won Kim
Electronics and Telecommunications Research Institute
218 Gajeongno, Yuseung-gu
Daejeon
34129
Korea
+82 42 860 1624
won22@etri.re.kr
Joo-Sang Youn
DONG-EUI University
176 Eomgwangno Busan_jin_gu
Busan
614-714
Korea
+82 51 890 1993
joosang.youn@gmail.com
24 July 2022
Internet-Draft
Artificial intelligence based IoT applications demand more massive computing resource through networks for the process of AI tasks. To support these applications, some new technologies based an edge computing and fog computing are emerging. Especially, the computation-intensive and latency-sensitive IoT applications such as augmented reality, virtual reality and AI based inference application is deployed with an edge computing and fog computing which are connected with cloud computing. Recently, cluster-based edge system is deployed to extend computation capacity of an edge server. The cluster-based edge system has the advantage that can enhace the resource scalability and availability in edge computing and fog computing. In this draft, we present cluster-based edge system architecture and multi-cluster edge network topology that consists of multi-cluster edge system and core cloud. Also, we define the network functions and network node to configurate and operate multi-cluster edge network collaboratively.

Introduction
Recently, artificial intelligence (AI) based diverse IoT applications utilizing computing resources in cloud are emerging. These applications are deployed with a computation offloading service which offloads the AI task in IoT devices to a cloud which has the enough computing resources. However, this centralized processing service is not suitalbe for latency-sensitive and computing-intensive AI applications, since the unpredictable delay in the dynamic network and computing environments may occur due to the network congestion and the available computing resource may vary dynamically.
Recently, as edge computing or fog computing evolve, some solutions are emerging to overcome the shortcoming of cloud computing. Specially, these solutions can quickly offload and deploy tasks for latency-sensitive and computation-intensive application to edge computing server because edge computing and fog computing is geographically closer to IoT devices and service users. Also, IoT application can get better quality of service (QoS), such as fast task response time. This means that edge computing has an advantage in terms of the development of computation-intensive and latency-sensitive intelligence IoT applications, such as augmented reality (AR), virtual reality (VR) and AI based inference application.[I-D.irtf-t2trg-iot-edge]
Nevertheless, it is difficult for the edge computing itself to strictly satisfy the quality of service requested in the task due to the hardware constraints and the consideration of computing power in the edge computing server. Thus, one solution proposes the collaborative processing that offloads the part of tasks to the remote cloud or neighbor edge server. This solution adopts the collaborative resource allocation in a distributed computing manner between the edge computing server and the cloud and between the edge computing servers. Also, to extend the computation capacity of an edge computing server, cluster-based edge system is deployed and extended with Kubernetes technology. Kubernetes is an open-source platform which is optimized for configuring the infrastructures to deploy the cluster-based edge system. In this draft, we present cluster-based edge system architecture and multi-cluster edge network topology that consists of multi-cluster edge system and core cloud. Also, we define the network functions and network node to configurate and operate multi-cluster edge network collaboratively.

Conventions and Terminology
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.

The cluster-based edge system architecture and multi-cluster edge network topology
The detailed cluster-based edge system architecture and multi-cluster edge network topology is presented in this section. The cluster edge system architecture will be shown below and the definition of each element in the cluster edge system will be given, and then multi-cluster edge network topology is shown. Also, the required network functions and network node will be explained the next section.

The cluster-based edge system architecture
The cluster-based edge system architecture is shown in figure below. The cluster edge system consists of an edge controller (a master node) and N edge nodes (worker nodes) which can execute an offloaded computation task and application service provision. At the case of a computation offloading for tasks, on the procedures of a offloading task, the mobile node (MN) requests task offloading to the cluster-based edge system and then the edge controller determines appropriate edge node (worker) deployed with the application which can perform the offloaded task with a scheduler. After that, the task offloading is performed at the selected edge node, the edge controller collects and then responses the task results to the mobile node requesting task offloading.

Figure 1: cluster-based edge system

        +------------+        +-------------------------------------+
        |   Device   |        |                                     |
        +------+-----+        |        cluster-bsed edge system     |
               |              |                                     |
       +-------+--------+     |             +------+------+         |
       |  Access Point  +-------------------+    Master   |         |
       +----------------+  +----------------+------+------+         |
                        |  |  |                    |                |
                        |  |  |      +-----------+-----------+      |
       +----------------+  |  |      |           |           |      |
       |  Access Point  +---  |      v           v           v      |
       +-------+--------+     | +----+----+ +----+----+ +----+----+ |
               |              | |  Worker | |  Worker | |  Worker | |
         +-----+-----+        | +---------+ +---------+ +---------+ |
         |   Device  |        |                                     |
         +-----------+        +-------------------------------------+

Multi-cluster edge network topology
The multi-cluster edge network topology is shown in figure below. It provides an edge network which can support a distributed computing environment for collaboration among cluster-based edge systems and between multi-cluster edge systems and core cloud. The following network functions are required to smoothly provide distributed computing services in a multi-cluster edge network environment.

Figure 2: Multi cluster edge network topology

                              +-----------------+         +------------+
                              | Management node +---------+ Core cloud |
                              +---------+-------+         +------------+
                                        |
                                        |
               +------------------------+-------------------+
               |                        |                   |
               |              +---------+--------+          |
               |              |   Shared storge  |          |
               |              +------------------+          |
               |                                            |
               |                                            |
    +--------------+-------------+     +--------------------+----------+
    |                            |     |                               |
    |        Cluster-edge        |     |         Cluster-edge          |
    |      computing system      |     |       computing system        |
    |                            |     |                               |
    |       +------+------+      |     |          +------+------+      |
    |       |    Master   |      |     |          |    Master   |      |
    |       +------+------+      |     |          +------+------+      |
    |              |             |     |                 |             |
    |       +------+-----+       |     |        +--------+------+      |
    |       |            |       |     |        |               |      |
    |  +----+----+    +----+---+ |     |   +----+---+      +----+---+  |
    |  |  Worker | .. | Worker | |     |   | Worker |  ... | Worker |  |
    |  +---------+    +--------+ |     |   +--------+      +--------+  |
    |                            |     |                               |
    +----------------------------+     +--------------+----------------+
                 |                                    |
                 |                                    |
         +-------+-------+                     +------+-------+
         |  Access Point |                     | Access Point |
         +-------+-------+                     +------+-------+
                 |                                    |
          +------+-----+                   +----------+---------+
          |            |                   |          |         |
     +----+---+   +----+---+          +----+---+ +----+---+ +---+----+
     | Device |   | Device |          | Device | | Device | | Device |
     +--------+   +--------+          +--------+ +--------+ +--------+

- Network management function of multi-cluster edge system
- Resource management function of multi-cluster edge system
- High-speed network connection function in multi-cluster edge network

Collaborative computation service
In multi-cluster edge network topology, two collaborative computation models are possible. One is vertical collaborative computation. The other is horizontal collaborative computation. Vertical collaborative computation is a collaboration service between a multi-cluster edge network and the core cloud, and horizontal collaborative computation is a collaboration service between cluster edge systems in a multi-cluster edge network. For at all, to provide collaborative computation, high-speed network connection is required between cluster edge systems. This can be configurated with a tunneling protocol. In addition, a storage, or a cache for sharing data and operating service collaboratively should be configured between cluster edge systems. Thus, a management function for multi-cluster edge network management is required. Also, the monitoring function to monitor resource state in multi-cluster edge network and when the computation offloading or caching service is required in multi-cluster edge network, a scheduler and the resource allocation policy for allocating the resource of multi-cluster edge network is necessary. And a computation resource, a storage and a cache in multi-cluster edge network shall be driven and managed collaboratively. In multi-cluster edge network, the management function takes a role of management to support the collaborative computation. The monitoring function takes a role of the collection of information of current resource state per cluster-based edge system and the estimation of the collected resource state. The scheduler takes a role of allocating an edge resource for the computation offloading or caching service through the resource allocation policy. Thus, in multi-cluster edge network, the resource allocation policy shall provide the policy which can support the collaborative computation model.

Network management function of multi-cluster edge system
TBD

Resource management function of multi-cluster edge system
TBD

High-speed network connection function in multi-cluster edge network
TBD.

IANA Considerations
This document contains no requests to IANA.

Security Considerations
TBD.

Normative References
[I-D.irtf-t2trg-iot-edge]
[RFC2119]
[RFC8174]